On this page
No Headings
Last updated: June 4, 2026
You can set up lifecycle updates to keep customer data fresh. The following lifecycle event types are supported:
Update an instrument
Expiration date changed
Billing address changed
Card number changed
Remove an instrument
Note: This step is optional, but recommended for a better user experience. You can choose to provide lifecycle updates for any or none of these events.
The following diagram illustrates the end-to-end flow used for lifecycle updates.
To update a provisioned instrument, use the Update Instrument API. You can update the card expiration date, billing address, and account information.
Note: Use webhook events to obtain an id.
Live: https://api-m.paypal.com/v1/payment-networks/card-accounts/<id >
Test or sandbox: https://api-m.sandbox.paypal.com/v1/payment-networks/card-accounts/<id >
Sample request
curl -v -X PATCH https://api-m.paypal.com/v1/payment-networks/card-accounts/<id > \
-H "PayPal-Request-Id: 12345" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer Access-Token" \
-d '[{
"op": "replace",
"path": "/billing_address",
"value": {
"address_line_1" : "100 Newhall St",
"admin_area_2" : "Santa Clara",
"admin_area_1" : "CA"
"country_code" : "US"
"postal_code" : "95125"
},
{
"op": "replace",
"path": "/expiry_date",
"value": "2099-12"
}
{
"op": "replace",
"path": "/card_pan",
"value": "4417119667593658"
}
]'To remove a provisioned instrument from the PayPal wallet, use the Remove Instrument API. Removal requests may result from a system action (closed account, fraud, lost or stolen card) or user action (user unlinks instrument).
Live: https://api-m.paypal.com/v1/payment-networks/v1/card-accounts/<id >/remove
Test or sandbox: https://api-m.sandbox.paypal.com/v1/payment-networks/card-accounts/<id >/remove
Sample request
curl -v -X POST https://api-m.paypal.com/v1/payment-networks/card-accounts/<id >/remove \
-H "PayPal-Request-Id: 12345" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <Access-Token>" \
-d '{
"reason": "REISSUED"
}'| Source | Description |
|---|---|
| Partner-initiated requests | 204 No Content |
| PayPal-initiated requests | {"status":"204 No Content","headers":{"PayPal-Request-Id": "12345","Content-Type":"application/json"} |
See Reference for resources used by this integration.